Bug 471461 - --skip-broken leaves system with broken firefox (may be packaging)
--skip-broken leaves system with broken firefox (may be packaging)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 15:11 EST by Bill Nottingham
Modified: 2014-03-16 23:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-14 11:36:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-11-13 15:11:16 EST
[root@nostromo ~]# yum -d5 --skip-broken upgrade 2>&1 | tee yum.log
"blacklist" plugin is disabled
"whiteout" plugin is disabled
Loaded plugins: refresh-packagekit, verify
Running "config" handler for "verify" plugin
Config time: 0.229
Yum Version: 3.2.20
COMMAND: yum -d5 --skip-broken upgrade 
Installroot: /
Setting up Package Sacks
pkgsack time: 0.006
Reading Local RPMDB
rpmdb time: 0.000
Setting up Upgrade Process
Building updates object
up:Obs Init time: 0.851
up:simple updates time: 0.423
up:obs time: 0.008
up:condense time: 0.000
updates time: 3.845
Updating Everything
Resolving Dependencies
--> Running transaction check
Checking deps for xulrunner-devel.x86_64 0-1.9.0.2-5.fc10 - None
---> Package xulrunner.x86_64 0:1.9.0.4-1.fc10 set to be updated
Checking deps for xulrunner.x86_64 0-1.9.0.4-1.fc10 - u
Checking deps for xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
devhelp-0.21-2.fc10.x86_64 requires: gecko-libs = 1.9.0.2
--> Processing Dependency: gecko-libs = 1.9.0.2 for package: devhelp
Needed Require is not a package name. Looking up: gecko-libs = 1.9.0.2
Potential Provider: xulrunner.x86_64 0:1.9.0.2-5.fc10
Mode is u for provider of gecko-libs = 1.9.0.2: xulrunner.x86_64 0:1.9.0.2-5.fc10
Mode for pkg providing gecko-libs = 1.9.0.2: u
Cannot find an update path for dep for: gecko-libs = 1.9.0.2
Searching pkgSack for dep: gecko-libs
Potential match for gecko-libs from xulrunner-1.9.0.4-1.fc10.i386
Potential match for gecko-libs from xulrunner-1.9.0.4-1.fc10.x86_64
Checking deps for firefox.x86_64 0-3.0.2-1.fc10 - None
---> Package xulrunner-devel.x86_64 0:1.9.0.4-1.fc10 set to be updated
Checking deps for xulrunner-devel.x86_64 0-1.9.0.4-1.fc10 - u
looking for (u'xulrunner', u'EQ', (u'0', u'1.9.0.4', u'1.fc10')) as a requirement of xulrunner-devel.x86_64 0-1.9.0.4-1.fc10 - u
---> Package firefox.x86_64 0:3.0.4-1.fc10 set to be updated
Checking deps for firefox.x86_64 0-3.0.4-1.fc10 - u
looking for (u'gecko-libs', u'EQ', (u'0', u'1.9.0.4', None)) as a requirement of firefox.x86_64 0-3.0.4-1.fc10 - u
--> Finished Dependency Resolution
Dependency Process ending
devhelp-0.21-2.fc10.x86_64 from installed has depsolving problems
  --> Missing Dependency: gecko-libs = 1.9.0.2 is needed by package devhelp-0.21-2.fc10.x86_64 (installed)
Skip-broken round 1
SKIPBROKEN: removing xulrunner-1.9.0.4-1.fc10.x86_64 from pkgSack & updates
SKIPBROKEN: removing xulrunner-1.9.0.4-1.fc10.x86_64 from transaction
SKIPBROKEN: removing xulrunner-1.9.0.2-5.fc10.x86_64 from transaction
--> Running transaction check
Checking deps for xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('nspr', 'GE', ('0', '4.7.1', None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('nss', 'GE', ('0', '3.12.1.1', None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('/bin/sh', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('/bin/sh', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('/bin/sh', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('/bin/sh', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('ld-linux-x86-64.so.2()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libc.so.6(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libc.so.6(GLIBC_2.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libc.so.6(GLIBC_2.3.4)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libc.so.6(GLIBC_2.4)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libdl.so.2(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgcc_s.so.1(GCC_3.0)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgcc_s.so.1(GCC_3.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libm.so.6(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.10)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.11.1)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.11.7)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.12)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.2)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.4)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.5)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.6)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.7)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.9)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.9.2)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so(NSS_3.9.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnssutil3.so(NSSUTIL_3.12)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libpthread.so.0(GLIBC_2.2.5)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsmime3.so(NSS_3.2)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsmime3.so(NSS_3.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsmime3.so(NSS_3.4)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsmime3.so(NSS_3.4.1)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsmime3.so(NSS_3.6)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsmime3.so(NSS_3.9.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libssl3.so(NSS_3.2)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libssl3.so(NSS_3.4)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libstdc++.so.6(CXXABI_1.3)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libstdc++.so.6(GLIBCXX_3.4)(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('mozilla-filesystem', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('rtld(GNU_HASH)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libORBit-2.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libX11.so.6()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libXft.so.2()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libXrender.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libXt.so.6()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libatk-1.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libbonobo-2.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libbonobo-activation.so.4()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libbz2.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libc.so.6()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libcairo.so.2()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libdbus-1.so.3()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libdbus-glib-1.so.2()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libdl.so.2()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libfontconfig.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libfreetype.so.6()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgcc_s.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgconf-2.so.4()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgdk-x11-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgdk_pixbuf-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgio-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libglib-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgmodule-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgnome-2.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgnomevfs-2.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgobject-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgthread-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libgtk-x11-2.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libjpeg.so.62()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('liblcms.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libm.so.6()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnspr4.so()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnss3.so()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libnssutil3.so()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libpango-1.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libpangocairo-1.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libpangoft2-1.0.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libplc4.so()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libplds4.so()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libpopt.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libpthread.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libpython2.5.so.1.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('librt.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsmime3.so()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libsqlite3.so.0()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libssl3.so()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libstdc++.so.6()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libutil.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
looking for ('libz.so.1()(64bit)', None, (None, None, None)) as a requirement of xulrunner.x86_64 0-1.9.0.2-5.fc10 - None
---> Package xulrunner.x86_64 0:1.9.0.4-1.fc10 set to be updated
Checking deps for xulrunner.x86_64 0-1.9.0.4-1.fc10 - u
firefox-3.0.4-1.fc10.x86_64 requires: gecko-libs = 1.9.0.4
--> Processing Dependency: gecko-libs = 1.9.0.4 for package: firefox
Searching pkgSack for dep: gecko-libs
Potential match for gecko-libs from xulrunner-1.9.0.4-1.fc10.i386
Matched xulrunner-1.9.0.4-1.fc10.i386 to require for gecko-libs
TSINFO: Marking xulrunner-1.9.0.4-1.fc10.i386 as install for firefox-3.0.4-1.fc10.x86_64
xulrunner-devel-1.9.0.4-1.fc10.x86_64 requires: xulrunner = 1.9.0.4-1.fc10
--> Processing Dependency: xulrunner = 1.9.0.4-1.fc10 for package: xulrunner-devel
Quick matched xulrunner-1.9.0.4-1.fc10.i386 to require for xulrunner
--> Running transaction check
---> Package xulrunner.i386 0:1.9.0.4-1.fc10 set to be updated
Checking deps for xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'nss', u'GE', (u'0', u'3.12.1.1', None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'nspr', u'GE', (u'0', u'4.7.1', None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'mozilla-filesystem', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.9.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'rtld(GNU_HASH)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libz.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpython2.5.so.1.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libfontconfig.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsqlite3.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.2)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.4)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgcc_s.so.1(GCC_3.0)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgcc_s.so.1(GLIBC_2.0)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.6)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgcc_s.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgconf-2.so.4', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpthread.so.0(GLIBC_2.2)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libutil.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libdl.so.2(GLIBC_2.0)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.9.2)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpthread.so.0(GLIBC_2.1)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.2)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libm.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libssl3.so', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libORBit-2.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.11.7)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsmime3.so(NSS_3.9.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgtk-x11-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'/bin/sh', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.7)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libbonobo-2.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libplds4.so', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgmodule-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsmime3.so(NSS_3.4.1)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libbonobo-activation.so.4', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.3.4)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsmime3.so(NSS_3.6)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgnome-2.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libdbus-glib-1.so.2', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.5)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libdbus-1.so.3', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgnomevfs-2.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libdl.so.2(GLIBC_2.1)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.1.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libatk-1.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'ld-linux.so.2(GLIBC_2.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libstdc++.so.6(GLIBCXX_3.4)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libXt.so.6', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libplc4.so', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpthread.so.0(GLIBC_2.0)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libfreetype.so.6', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsmime3.so(NSS_3.4)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpthread.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.11.1)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libdl.so.2', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgdk_pixbuf-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libcairo.so.2', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsmime3.so(NSS_3.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpangocairo-1.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnspr4.so', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'librt.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'liblcms.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpangoft2-1.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libssl3.so(NSS_3.4)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.9)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpango-1.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libXft.so.2', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'ld-linux.so.2', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsmime3.so(NSS_3.2)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.4)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libXrender.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgdk-x11-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libm.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libbz2.so.1', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libjpeg.so.62', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgio-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libglib-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.12)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libm.so.6', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libpopt.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnssutil3.so', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libX11.so.6', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnssutil3.so(NSSUTIL_3.12)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libnss3.so(NSS_3.10)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgthread-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libstdc++.so.6(CXXABI_1.3)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libssl3.so(NSS_3.2)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libsmime3.so', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libstdc++.so.6', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
looking for (u'libgobject-2.0.so.0', None, (None, None, None)) as a requirement of xulrunner.i386 0-1.9.0.4-1.fc10 - u
xulrunner-1.9.0.4-1.fc10.i386 requires: libpython2.5.so.1.0
--> Processing Dependency: libpython2.5.so.1.0 for package: xulrunner
Searching pkgSack for dep: libpython2.5.so.1.0
Potential match for libpython2.5.so.1.0 from python-libs-2.5.2-1.fc10.i386
Matched python-libs-2.5.2-1.fc10.i386 to require for libpython2.5.so.1.0
TSINFO: Marking python-libs-2.5.2-1.fc10.i386 as install for xulrunner-1.9.0.4-1.fc10.i386
xulrunner-1.9.0.4-1.fc10.i386 requires: libgnome-2.so.0
--> Processing Dependency: libgnome-2.so.0 for package: xulrunner
Searching pkgSack for dep: libgnome-2.so.0
Potential match for libgnome-2.so.0 from libgnome-2.24.1-7.fc10.i386
Matched libgnome-2.24.1-7.fc10.i386 to require for libgnome-2.so.0
TSINFO: Marking libgnome-2.24.1-7.fc10.i386 as install for xulrunner-1.9.0.4-1.fc10.i386
--> Running transaction check
---> Package python-libs.i386 0:2.5.2-1.fc10 set to be updated
Checking deps for python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'python', u'EQ', (u'0', u'2.5.2', u'1.fc10')) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libm.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.4)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'rtld(GNU_HASH)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libdl.so.2(GLIBC_2.1)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.1.3)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libutil.so.1(GLIBC_2.0)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libm.so.6', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.2)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'/sbin/ldconfig', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libpthread.so.0(GLIBC_2.0)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libdl.so.2', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libpthread.so.0', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.3)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.3.4)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libc.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libm.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libpthread.so.0(GLIBC_2.2)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libutil.so.1', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libdl.so.2(GLIBC_2.0)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
looking for (u'libpthread.so.0(GLIBC_2.1)', None, (None, None, None)) as a requirement of python-libs.i386 0-2.5.2-1.fc10 - u
---> Package libgnome.i386 0:2.24.1-7.fc10 set to be updated
Checking deps for libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libxml2', u'GE', (u'0', u'2.5', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'gnome-vfs2', u'GE', (u'0', u'2.5.3', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'GConf2', u'GE', (u'0', u'2.14', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'glib2', u'GE', (u'0', u'2.6.0', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libxslt', u'GE', (u'0', u'1.0.19', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libbonobo', u'GE', (u'0', u'2.13.0', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'fedora-gnome-theme', u'GE', (u'0', u'8.0.0', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'ORBit2', u'GE', (u'0', u'2.5.1', None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libgmodule-2.0.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libgconf-2.so.4', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libpthread.so.0(GLIBC_2.0)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libc.so.6(GLIBC_2.1)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'utempter', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libc.so.6(GLIBC_2.0)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'librt.so.1', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libgobject-2.0.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libc.so.6(GLIBC_2.1.3)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libORBit-2.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'/bin/sh', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libpopt.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libc.so.6(GLIBC_2.4)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libgnomevfs-2.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libc.so.6', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libgio-2.0.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'rtld(GNU_HASH)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libpthread.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libbonobo-activation.so.4', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libc.so.6(GLIBC_2.2)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libc.so.6(GLIBC_2.3.4)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libglib-2.0.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libbonobo-2.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libpopt.so.0(LIBPOPT_0)', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'libgthread-2.0.so.0', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'GConf2', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
looking for (u'/sbin/ldconfig', None, (None, None, None)) as a requirement of libgnome.i386 0-2.24.1-7.fc10 - u
--> Finished Dependency Resolution
Dependency Process ending
Skip-broken took 1 rounds 

Packages skipped because of dependency problems:
    xulrunner-1.9.0.4-1.fc10.x86_64 from rawhide
Depsolve time: 4.501

Dependencies Resolved

================================================================================
 Package               Arch         Version                 Repository     Size
================================================================================
Updating:
 firefox               x86_64       3.0.4-1.fc10            rawhide        12 M
 xulrunner-devel       x86_64       1.9.0.4-1.fc10          rawhide       3.4 M
Installing for dependencies:
 libgnome              i386         2.24.1-7.fc10           dfoo          693 k
 python-libs           i386         2.5.2-1.fc10            dfoo          579 k
 xulrunner             i386         1.9.0.4-1.fc10          dfoo          9.1 M
Skipped (dependency problems):
 xulrunner             x86_64       1.9.0.4-1.fc10          rawhide       8.8 M

Transaction Summary
================================================================================
Install      3 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total size: 25 M
Total download size: 25 M
n
Is this ok [y/N]: Exiting on user Command
Complete!

I'm not sure if this is --skip-broken incorrectly leaving firefox in the transaction, or firefox not actually specifying which ABI of xulrunner it needs.

yum-3.2.20-3.fc10.noarch
Comment 1 Tim Lauridsen 2008-11-14 01:43:34 EST
please get this one 

http://yum.baseurl.org/gitweb?p=yum.git;a=blob_plain;f=yum/__init__.py;hb=yum-3_2_X

and copy it to

/usr/lib/python2.5/site-packages/yum/__init__.py (as root)

and post the result from 'yum update -d7'
Comment 2 Bill Nottingham 2008-11-14 11:12:51 EST
Crap, I forgot to save the repodata, so I don't have a test case for this any more.

Note You need to log in before you can comment on or make changes to this bug.